LibreOffice: XPageCursor Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XPageCursor Interface Referencepublished

makes it possible to perform cursor movements between pages. More...

Inheritance diagram for XPageCursor:

## Public Member Functions
boolean | jumpToFirstPage ()
| moves the cursor to the first page.
boolean | jumpToLastPage ()
| moves the cursor to the last page.
boolean | jumpToPage ([in] short nPage)
| moves the cursor to the specified page.
short | getPage ()
boolean | jumpToNextPage ()
| moves the cursor to the next page.
boolean | jumpToPreviousPage ()
| moves the cursor to the previous page.
boolean | jumpToEndOfPage ()
| moves the cursor to the end of the current page.
boolean | jumpToStartOfPage ()
| moves the cursor to the start of the current page.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to perform cursor movements between pages.

## Member Function Documentation

## ◆ getPage()

short getPage | ( |  | ) |

Returns
  the number of the page within the document of this cursor.

## ◆ jumpToEndOfPage()

boolean jumpToEndOfPage | ( |  | ) |

moves the cursor to the end of the current page.

See also
  XPageCursor::jumpToEndOfPreviousPage

## ◆ jumpToFirstPage()

boolean jumpToFirstPage | ( |  | ) |

moves the cursor to the first page.

## ◆ jumpToLastPage()

boolean jumpToLastPage | ( |  | ) |

moves the cursor to the last page.

## ◆ jumpToNextPage()

boolean jumpToNextPage | ( |  | ) |

moves the cursor to the next page.

See also
  XPageCursor::jumpToPreviousPage

## ◆ jumpToPage()

boolean jumpToPage | ( | [in] short | nPage | ) |

moves the cursor to the specified page.

## ◆ jumpToPreviousPage()

boolean jumpToPreviousPage | ( |  | ) |

moves the cursor to the previous page.

See also
  XPageCursor::jumpToNextPage

## ◆ jumpToStartOfPage()

boolean jumpToStartOfPage | ( |  | ) |

moves the cursor to the start of the current page.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XPageCursor.idl